AutoCAD Inventor :: ILogic To Save DWG But Not Model?
Oct 25, 2013
I currently have ilogic code that automatically saves a template Inventor dawing as a job drawing. However the problem I am having is when it does this save it takes forever as it seems to be also saving the linked model also. Is there a way to save this Inventor dwg without saving the linked model? The reason why I do not want this model save is because after the drawing is outputted the user is given options to write part numbers and dxf files if required which requires a model save anyway.
Sample of code used:-
ThisDoc.Document.SaveAsInventorDWG(ThisDoc.Path & "2D_DRAWINGS (Inventor dwg)" & iProperties.Value("Custom", "Drawing No.") & ".DWG", True)
View 1 Replies
ADVERTISEMENT
Jul 23, 2012
I have an ilogic rule created to do a save as .dxf and .pdf from the .idw file. It will then open the .ipt file without any issues. The problem I am having is that I also want it to do a save as .stp of the model after it opens the model. I get the following error.
Error in rule: Save As DXF PDF and open, in document: Save As DXF PDF and open.iLogicVb
Unspecified error (Exception from HRESULT: 0x80004005 (E_FAIL))
Do I need to add something to the code?
Here is the code I have written.
strFolder="C:Vault_WorkspaceSave As"&iProperties.Value("Project", "Part Number")
ThisDoc.Document.SaveAs(strFolder&"_Rev"&iProperties.Value("Project", "Revision Number")&(".dxf") , True)
ThisDoc.Document.SaveAs(strFolder&"_Rev"&iProperties.Value("Project", "Revision Number")&(".pdf") , True)
doc=ThisDoc.PathAndFileName(False)&".ipt"ThisDoc.Launch(doc)
strFolder="C:Vault_WorkspaceSave As"&iProperties.Value("Project", "Part Number")
ThisDoc.Document.SaveAs(strFolder&"_Rev"&iProperties.Value("Project", "Revision Number")&(".stp") , True)
MessageBox.Show("STEP Created", "File Save")
View 1 Replies
View Related
Aug 22, 2012
I made a 3D model with ilogic to control features to be suppressed or compressed. Because there are lot of features need to do so (need almost 4 to 5 min.) , when I run the rules, it came "Rule timeout" issue as pictures.
I used:
Feature.IsActive (myFeature) = status
to control the feature be suppressed or unsuppressed .
View 8 Replies
View Related
Mar 8, 2013
I was wondering if there was a command that will get the file name of the model referenced in a drawing?
The reason I want to do this is because I have various programs to automate drawings, but I have to manually edit the code if i want to switch between using the code on assembly drawings and part drawings.
If i can get the model reference, I can then use a bit of extra programming to extract the extension. (i.e. .ipt or .iam)
Autodesk Inventor Professional 2011
Windows 7 Enterprise, 64-bit
View 5 Replies
View Related
Apr 12, 2013
I wish I perform the following code with iLogic. Is it possible to change a model parameter to a reference parameter?
If My_Expression Then' My dimension "d0" is a Driven Dimension' or' My dimension "d0" is a Reference ParameterElse' My dimension "d0" is NOT a Driven Dimension' or' My dimension "d0" is a Model ParameterEnd If
View 9 Replies
View Related
Jul 24, 2012
I try to modify on a drawing the 3d model, using iLogic (same thing as Inventor "Replace model reference" command).
View 3 Replies
View Related
Mar 22, 2013
I am using a number of sketches in a skeleton to control multiple solutions.
I am using case statements that apply values to my variables and create my solutions which is working fine however,
for clarity of what is being used in a given solution I want to turn on/off the sketches in my code. I have created a set of model views that when active properly turn off the visibability of the appropreate sketch.
While model view is among the things that can be selected for use in the code, so far as I can tell, I can not find a function that will allow me to set a view true so that it activates the view and my sketches turn off.
View 1 Replies
View Related
Jul 8, 2013
I need to change one dimension using iLogic. It changes due to the path taken to manufacture the part. In a nutshell majority of the time the "OD" has a +.004 / .000 tolerance and the model is drawn at the minimum size. There are cases when the "OD" has a +.005/-.005 tolerance and is modeled at the nominal size. I've learned some of the iLogic to make the change I'm after but not all. I'm having trouble setting ModelValueType to change the model size.
See the code below, for setting +/-.005"
IV2012
View 2 Replies
View Related
Oct 4, 2011
how to replace model reference using iLogic in inventor 2012. Basically I have a drawing file whose model reference needs to change with part number(iProperties) .
I've been struggling to perform replace model reference as there is no direct command given for it.
View 1 Replies
View Related
Sep 17, 2013
When I open a drawing, i want to be able to change the appearance of its part model.I can do it in part itself using iProperties.PartColor.
But I want to do it from inside the drawing.
View 1 Replies
View Related
Jul 2, 2013
I have a automated ilogic model that is then used within a 2D drawing, this 2D drawing then has dimensions on it referenced to the the model.
This model changes in its length the dimension associated with its length then changes but the dimension text then goes outside of the dimension boundary (does not stay central). Is there any code that can scan the dimensions and in effect tidy them up?
View 3 Replies
View Related
Feb 28, 2012
How to pull the path & file name of an IPT from within an IDW?
If I use this line from within an IDW:
ModelName = IO.Path.GetFileName(ThisDrawing.ModelDocument.FullFileName)
it will simply return the file name of the corresponding IPT.
I want to be able return the path for the IPT from within the IDW as well.
Product Design Suite Ultimate 2012 64-bit - SP1
Windows 7 64-bit - SP1
View 1 Replies
View Related
Aug 23, 2011
I would like to be able to use iLogic to get the value of the Comment field of a model's parameters. I have some text there that I would like to display in a sketched symbol. The attached image illustrates what I am seeking.
View 2 Replies
View Related
Jun 7, 2012
I'm trying to put a little iLogic rule in my drawing template which triggers as soon as the drawing is opened. The rule asks the user whether the component he's making a drawing of needs to be painted or not. If it gets painted, the paint area (one side only or both sides) needs to be calculated. The result of this is then referenced by a text note in the title block.
I can do the radio boxes with the questions, as well as their If loops, but only when I'm in the model. Due to our, admittedly inefficient workflow, we never have time to specify "minor details" like paint area or spec during modelling, only when we get to drawing level. I'd like to put the iLogic rule inside the drawing template. I'm having trouble referencing the iProperties of the model from within the drawing's iLogic interface.
What I have so far is this rule, which I can run inside the model:
'set dummy variable equal to total areatotal_area = iProperties.Area'start radio box with questionsText1 = InputRadioBox("Will this component be painted?", "Yes", "No", Text1, Title := iProperties.Value("Project", "Description"))If Text1 = True ThenText2 = InputRadioBox("How many sides will be painted?", "Both sides", "One side only", Text2, Title := iProperties.Value("Project", "Description"))If Text2 = True TheniProperties.Value("Custom", "Paint Area") = total_areaElseIf Text2 = False TheniProperties.Value("Custom", "Paint Area") = total_area/2End IfElseIf Text1 = False TheniProperties.Value("Custom", "Paint Area") = 0End If
adding a line or two so that I can run the same rule, but from the drawing.
View 9 Replies
View Related
Jul 11, 2013
I'm trying to do this with iLogic, and i'm not getting anywhere. What I need, is to be able get to the iProperties of an associated model that is referenced into a drawing file. I want to make it easier to update the iProperties from the drawing file, without having to open the model file.
Factory Design Suite Ultimate 2012
AutoCAD 2012 | Inventor Professional 2012 | Vault Professional 2012
View 2 Replies
View Related
Apr 24, 2012
Is there a way in an inventor drawing rule to do a "save as" which saves the drawing as an Inventor dwg file rather than an AutoCAD dwg file?
The below saves as AutoCAD which is ok but I need the outputted drawing to be linked to the model. I don't want the code to save the entire assembly as this is done further down the line. I also don't want to save the current inventor dwg drawing from which the rule is run as this is just a template drawing.
ThisDoc.Document.SaveAs(ThisDoc.Path&"2D_DRAWINGS"&iProperties.Value("Custom", "Drawing No.")&" (Rev "&Parameter("BEAUFORT_ARRANGEMENT_3.iam.DRAWING_REVISION_NO")&")"&".DWG", True)
View 1 Replies
View Related
Oct 24, 2012
I'm currently using this rule for easy PDF making
SaveLoc = "C:Temp"FileName = ThisDoc.FileName(False)Revnr = " rev_" & iProperties.Value("Project", "Revision Number")PDFnaam = SaveLoc & FileName & RevnrThisDoc.Document.SaveAs(PDFnaam & (".pdf") , True)MessageBox.Show("PDF is aangemaakt in C:Temp", "Document creation",MessageBoxButtons.OK,MessageBoxIcon.Information)
The problem with this is that i want to save without lineweight? is there anyway to do this with this code?
View 2 Replies
View Related
Aug 3, 2010
I want a part automatically to be "saved as" in my workspace.
there is the command
ThisDoc.Document.SaveAs(NewFileNameAndExtension , True)
in the browser of iLogic but I don't know how to use it.
I tried ThisDoc.Document.SaveAs("partname.iam", True)
but that's couases a error.
View 4 Replies
View Related
Apr 11, 2013
I have a template part that I would like to save automatically once the parameters dialog box is closed. I would also like the Save As filename to automatically be filled in with a iProperty named "Part Name". I already have the "Part Name" description grabbing information from parameters. Is this possible? And is the best way to trigger the event after an "iProperty change" or "Any Model Parameter Change"?
View 1 Replies
View Related
Dec 3, 2010
I would like to use iLogic to do a File Save As and have the dialog box open in a specified folder. I have tried the code below but it doesn't work.
oFileDlg.InitialDirectory = "J:" & strFolder & (".dwg")
oFileDlg.ShowSave()
View 2 Replies
View Related
Sep 13, 2011
I am having a bit of trouble finding the correct code for some automated ilogic in inventor 2011.
I am trying to achieve an automated rename and save process for an assembly file as well as the variable parts in the file.an example would be a steel column...
Open ilogic steel column, run rules to change column length and section size...then save a copy to workspace, but also to a specific folder in the workspace..also rename the column file and save.
i have this for file saving -
SyntaxEditor Code Snippet
Test=InputBox("Add File name", "Please Add your file name", "Prefix number - File - .iam")
ThisDoc.Document.SaveAs(ThisDoc.WorkspacePath()&Test, True)
Which works fine to save the new assembly, but i need the same for the variable column within the assembly, and also to save to a specific folder not just the workspace top level.
View 9 Replies
View Related
Dec 18, 2013
I'm trying find some code that will allow me to save a PDF in 2 different locations.
I want to save a copy on my C: drive - this part has been done, but I'd like the code expanded to save a copy on the F: drive (under a similar path to that on the C: drive.
For example, for drawing XXX-XXX.dwg (C:Vault WorkspaceCADSalesEnquiries201313-XXXDrawings), I would like a PDF created in C:Vault WorkspaceCADSalesEnquiries201313-XXXDrawingsPDF (this part has been done) and i would also like a copy saved in F:SalesEnquiries201313-XXXDrawingsPDF.
I do not know which will be easier; to create 2 PDFs, or create 1 and copy it to F:
View 2 Replies
View Related
Mar 1, 2013
I have the following
strFile = ThisDoc.FileName(False) & "-Rev " & iProperties.Value("Project", "Revision Number")ThisDoc.Document.SaveAs(strFile & (".dwg"), True)ThisDoc.Document.SaveAs(strFile & (".pdf"), True)
And it works like a charm for pdf, but it does not export to .dwg?
And also, is it possible to decide where in the name the "-Rev " &iPro....should appear?
Ex. if the filename should be : "12345 - Rev 02 - Section cut"
View 1 Replies
View Related
Sep 5, 2012
I seem to have my task accomplished, but Inventor crahes on me after it is done.
Here is how my iLogic works.
' Deleting the suppressed parts from the assembly
Dim compDef as AssemblyComponentDefinition
compDef = ThisDoc.ComponentDefinition
Dim compOcc as ComponentDefinition
For Each compOcc in compDef
[Code] ........
Now as soon as the last line is executed, Inventor crashes.
But when I go to the save file part (C:MyPath), both the parts and assembly files are saved and if I open it, they work just fine.
I just can't get inventor to stop crashing.
View 7 Replies
View Related
Jul 7, 2011
My question: We want to use iLogic to save a PDF-file of the DWG-drawing every time we hit "save". We now use the following iLogic
Spoiler (Highlight to read)oPath = ThisDoc.Path PN = iProperties.Value("Project", "Part Number")
PDFAddIn = ThisApplication.ApplicationAddIns.ItemById("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
[Code] .....
View 9 Replies
View Related
Oct 25, 2012
I am making some iLogic automated parts which I want to save when I place them in an assembly.
Now I have the folder the file needs to be saved in allready specified in the simple code I wrote but I want to be able to browse the folders to select a specific one.
I run the code by activating it in a Form that pops up when you place the part in an assembly.
The simple save as code I wrote is as following:
Workspace = ThisDoc.WorkspacePath()If System.IO.File.Exists(Workspace & "Parts" & "Cable Tray-" & Partnumber & ".ipt") = True Theni = MessageBox.Show("The partnumber you chose is allready in use, choose an other number.", "Save Error", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1)Else If System.IO.File.Exists(Workspace & "Parts" & "Cable Tray-" & Partnumber & ".ipt") = False ThenThisDoc.Document.SaveAs(Workspace & "Parts" & "Cable Tray-" & Partnumber & ".ipt", False)End If
How I can browse the folders to select the folder to save the part in when placing the part?
View 9 Replies
View Related
Sep 9, 2013
I´m trying to create an external iLogic rule that let´s the user specify a path and saves an assembly and all it´s components into one directory. Alternatively it could be the main workspace path which doesn´t have to be specified by the user so it can be handled internally.
The background is a design template that resides on a network storage which can be configured through an iLogic Form and when the user is done configuring the assembly to it´s liking it should be saved to it´s workspace.
I was looking through the snippets but couldn´t find anything related to "save all". I have the feeling that I have to cycle through all component occurences and save them one by one.
Getting a Save As dialog box seems to be possible as I could see on Curtis Waguespack´s blog but the commands he is using are nowhere documented. For example for calling the dialog box he is using
InventorVb.Application.CreateFileDialog(oFileDlg)
View 2 Replies
View Related
Dec 12, 2012
I have an ilogic rule to open an existing excel file template and export the inventor parameters into it. I am trying to find a way to then save the excel file as a different filename. This way the original template can stay unmodified. I have found the GoExcel.save command but is there some sort of GoExcel.saveas(filename, filepath) command?
View 2 Replies
View Related
Mar 14, 2013
I am not good with iLogic but I have this rule that gives me length and width of a sheetmetal part in mm and with , (comma). The rule works but the file will always accept saving regardless if there has been changes or not. I want the rule to only accept save IF there has been changes on SM_Length (=<FLAT PATTERN LENGTH> cm) and SM_Width (=<FLAT PATTERN WIDTH> cm) or Thickness.
sLength = iProperties.Value("Custom", "SM_Length")
sWidth = iProperties.Value("Custom", "SM_Width")
sThickness = iProperties.Value("Custom", "Thickness")
[code]....
Autodesk Inventor/Vault Professional 2013
View 3 Replies
View Related
Dec 18, 2013
I have an assembly that I am working on that will be used as a configurator, driven by I-logic. Everything is work fine but there is one part off the assembly that will be custom to each new assembly. Is there a way to use I logic to open the ipt file save it as copy with different name and replace the original in the assembly. I know this can be done manual through the productivity tab within the assembly environment, but I am trying to automate the process so the end user will just have to follow prompts that will be given by i-logic.
View 4 Replies
View Related
May 23, 2012
I created the following user parameters:
-Thickness
-Width
-Length
-Dia
I then created a Custom iProperty which consisted of the following "formula": Finished Material Size = <Thickness> x <Width> x <Length> Lg.
eg. of Finished Material Result : Finished Material Size = 6 x 25 x 300 Lg.
The problem comes up when dealing with diametrical components as the above formula will only populate for square or rectangular parts. Which would work if I could use iLogic code to populate the Finished Material Size iProperty. I have tried but failed.
First I created another user parameter called "Geometry Type" which has a drop down selection of either "DIA" or "SQUARE, RECTANGULAR".I then created the following iLogic code to set 0 as the value for the "unused" size parameters
If PART_GEOMETRY = "DIA" Then WIDTH = "0"If PART_GEOMETRY = "DIA" Then THICKNESS = "0"If PART_GEOMETRY = "SQUARE, RECTANGULAR" Then DIA = "0"
The part I just can't get to work is as follows.
I need some iLogic code which will populate the "FINISHED MATERIAL SIZE" custom iproperty with one of the following based on my "GEOMETRY TYPE" selection. "DIA" would return the following to "FINISHED MATERIAL SIZE": = Ø <Dia> x <Length> Lg.
While "SQUARE, RECTANGULAR" would return the following to "FINISHED MATERIAL SIZE": = <THICKNESS> x <WIDTH> x <LENGTH> Lg.I tried the following code but it does not work:
If PART_GEOMETRY = "DIA" Then iProperties.Value("Custom", "FINISHED MATERIAL SIZE")= "Ø"DIA "x" LENGTH "Lg."If PART_GEOMETRY = "SQUARE, RECTANGULAR" Then iProperties.Value("Custom", "FINISHED MATERIAL SIZE")= THICKNESS "x" WIDTH "x" LENGTH "Lg."
View 2 Replies
View Related